This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513855 - snd_hda_intel sound problems with kernel-2.6.29.6-213.fc11.x86_64
snd_hda_intel sound problems with kernel-2.6.29.6-213.fc11.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 12:23 EDT by Kevin DeKorte
Modified: 2010-06-28 09:50 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:50:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
alsa-info.sh output (17.35 KB, text/plain)
2009-07-29 08:02 EDT, Pádraig Brady
no flags Details
pulseaudio logs (7.12 KB, text/plain)
2009-07-29 08:07 EDT, Pádraig Brady
no flags Details

  None (edit)
Description Kevin DeKorte 2009-07-26 12:23:15 EDT
Description of problem:
Several sound problems, specifically that can be recreated with mplayer with the -ao pulse option

Version-Release number of selected component (if applicable):
kernel-2.6.29.6-213.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot in to kernel-2.6.29.6-213.fc11.x86_64
2. run mplayer -ao pulse and play a song or a video 
3.
  
Actual results:
messages from mplayer

AO: [pulse] pa_stream_get_latency() failed: Connection terminated2 0            
AO: [pulse] pa_stream_write() failed: Connection terminated.6% 142 0            
AO: [pulse] pa_stream_get_latency() failed: Connection terminated
AO: [pulse] pa_stream_get_latency() failed: Connection terminated
AO: [pulse] pa_stream_get_latency() failed: Connection terminated


Expected results:

Audio should work

Additional info:

Can reboot the machine into kernel-2.6.29.5-191.fc11.x86_64 and without changing anything audio works perfectly.

HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
HDA Intel 0000:00:1b.0: setting latency timer to 64
hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:3507: autoconfig: line_outs=4 (0x14/0x15/0x16/0x17/0x0)
ALSA sound/pci/hda/hda_codec.c:3511:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3515:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3516:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3524:    inputs: mic=0x18, fmic=0x19, line=0x1a, fline=0x0, cd=0x0, aux=0x0
HDA Intel 0000:01:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
HDA Intel 0000:01:00.1: setting latency timer to 64



00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 829f
	Flags: bus master, fast devsel, latency 0, IRQ 22
	Memory at fe8f8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 1 Tom Schenk 2009-07-26 19:43:38 EDT
I am having this same issue on two of my HP nc6220 laptops.  Here is part of the output of lspci that identifies my sound card.  This problem also affects some of the games I haved played on that kernel, including Gweled and Shippy 1984.  Like the original poster, reverting to release 191 of the kernel fixes the problem.

00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
	Subsystem: Hewlett-Packard Company Compaq NC6220
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at 2100 [size=256]
	Region 1: I/O ports at 2200 [size=64]
	Region 2: Memory at d0581000 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at d0582000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

And here is part of dmesg output related to my sound hardware as well:

ALSA sound/pci/ac97/ac97_codec.c:2127: AC'97 0 analog subsections not ready
intel8x0_measure_ac97_clock: measured 51363 usecs
intel8x0: measured clock 214 rejected
intel8x0: clocking to 48000
Comment 2 Joel 2009-07-28 17:08:35 EDT
Is this a duplicate of:

https://bugzilla.redhat.com/show_bug.cgi?id=506075

?
Comment 3 Kevin DeKorte 2009-07-28 17:51:02 EDT
I don't believe it is, because the kernel versions are not the same and audio did work with kernel-2.6.29.4-167.fc11.x86_64
Comment 4 Adam Williamson 2009-07-28 18:07:17 EDT
adding lennart to CC. can we get logs from pulseaudio when this happens (kill the session pulseaudio, and run it in a console as 'pulseaudio -vvvvv')? also the info on your sound cards provided by 'alsa-info.sh'. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Pádraig Brady 2009-07-29 08:02:17 EDT
Created attachment 355531 [details]
alsa-info.sh output
Comment 6 Pádraig Brady 2009-07-29 08:07:06 EDT
Created attachment 355532 [details]
pulseaudio logs
Comment 7 Pádraig Brady 2009-07-29 08:10:01 EDT
I think this may be the same as bugs 513814, 514097?
When this happens for me, the processor spins (which may also be related to bug 513785). I've attached pusleaudio and alsa-info logs.
Comment 8 Lennart Poettering 2009-07-29 10:39:03 EDT
Please, let this bug report be about HDA (since that's what the bug title says). I'll ignore all intel8x0 related comments here.

Kevin, could you please check if you get the same snd_pcm_avail() related output in syslog as bug 501769, if so, then we can just merge the two bugs.

intel8x0 folks, your bug is most likely bug 506075.
Comment 9 Kevin DeKorte 2009-07-29 11:41:22 EDT
ok, I have two audio devices...

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 829f
	Flags: bus master, fast devsel, latency 0, IRQ 22
	Memory at fe8f8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

01:00.1 Audio device: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series]
	Subsystem: ASUSTeK Computer Inc. Device aa20
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

With kernel-2.6.29.6-213.fc11.x86_64 it does not appear to like the first card which I have analog speakers plugged into and it defaults to the ATI card (which nothing is plugged into). I've had various problems with the ALC883 since I have got it in Linux. I need to disable power_save on it for the card to even work correctly. Numerous Fedora bugs on it from Fedora 8 and up.

more /etc/modprobe.d/snd_hda_intel.conf 
options snd_hda_intel power_save=0 bdl_pos_adj=1,16

My machine is decent (Q6600, 4GB RAM, 64bit), so I'm pretty sure that a simple mp3 file should not be overloading it. And like I said is works fine with kernel-2.6.29.5-191.fc11.x86_64. I think it might be a problem with the kernel driver not working for the ALC883 and trying to output sometime to the HDMI interface on the video card. And that is a separate bug.


Jul 26 10:12:26 localhost kernel: HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
Jul 26 10:12:26 localhost kernel: hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
Jul 26 10:12:26 localhost kernel: HDA Intel 0000:01:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17



Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 8574853690513399168 bytes (360287970058 ms).
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: snd_pcm_dump():
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Hooks PCM
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Its setup is:
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stream       : PLAYBACK
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   format       : S16_LE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   subformat    : STD
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   channels     : 2
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   rate         : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   msbits       : 16
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   buffer_size  : 96000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_size  : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_time  : 1000000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_step  : 1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   avail_min    : 95041
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_event : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   start_threshold  : -1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stop_threshold   : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_threshold: 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_size : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   boundary     : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Slave: Hardware PCM card 1 'HDA ATI HDMI' device 3 subdevice 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Its setup is:
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stream       : PLAYBACK
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   format       : S16_LE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   subformat    : STD
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   channels     : 2
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   rate         : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   msbits       : 16
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   buffer_size  : 96000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_size  : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_time  : 1000000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_step  : 1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   avail_min    : 95041
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_event : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   start_threshold  : -1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stop_threshold   : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_threshold: 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_size : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   boundary     : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   appl_ptr     : 198314
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   hw_ptr       : 96010
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: -8574853690512537656 bytes (-360287965571 ms).
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: snd_pcm_dump():
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Hooks PCM
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Its setup is:
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stream       : PLAYBACK
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   format       : S16_LE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   subformat    : STD
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   channels     : 2
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   rate         : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   msbits       : 16
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   buffer_size  : 96000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_size  : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_time  : 1000000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_step  : 1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   avail_min    : 95041
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_event : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   start_threshold  : -1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stop_threshold   : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_threshold: 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_size : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   boundary     : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Slave: Hardware PCM card 1 'HDA ATI HDMI' device 3 subdevice 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c: Its setup is:
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stream       : PLAYBACK
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   format       : S16_LE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   subformat    : STD
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   channels     : 2
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   rate         : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   msbits       : 16
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   buffer_size  : 96000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_size  : 48000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_time  : 1000000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_step  : 1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   avail_min    : 95041
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   period_event : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   start_threshold  : -1
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   stop_threshold   : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_threshold: 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   silence_size : 0
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   boundary     : 6755399441055744000
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   appl_ptr     : 318314
Jul 26 10:13:15 localhost pulseaudio[2967]: alsa-util.c:   hw_ptr       : 96632
Jul 26 10:13:18 localhost pulseaudio[3048]: pid.c: Daemon already running.
Jul 26 10:13:19 localhost pulseaudio[2967]: ratelimit.c: 29181 events suppressed
Jul 26 10:13:24 localhost pulseaudio[2967]: ratelimit.c: 11089 events suppressed
Jul 26 10:13:25 localhost pulseaudio[2967]: cpulimit.c: Received request to terminate due to CPU overload.
Jul 26 10:13:30 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul 26 10:13:30 localhost pulseaudio[3224]: alsa-sink.c: Increasing wakeup watermark to 30.00 ms
Jul 26 10:13:30 localhost pulseaudio[3224]: alsa-sink.c: Increasing wakeup watermark to 40.00 ms
Jul 26 10:13:30 localhost pulseaudio[3224]: alsa-sink.c: Increasing wakeup watermark to 50.00 ms
Jul 26 10:13:31 localhost pulseaudio[3224]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 8574853690513396068 bytes (360287970042 ms).
Jul 26 10:13:31 localhost pulseaudio[3224]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Comment 10 Bryan Christ 2009-08-17 16:50:22 EDT
I have this problem with kernel-PAE-2.6.29.6-213.fc11.i686.  Reverting back to kernel-PAE-2.6.29.5-191.fc11.i686 makes it work correctly again.
Comment 11 Bug Zapper 2010-04-28 05:21:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:50:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.